clear all

capture mkdir ..\cdata

forvalues yy=2005/2014{
	set more off
	import excel ..\idata\Advanced_Stats_`yy'season_Raw.xlsx, sheet(leagues_NBA_`yy'_advanced_advan) firstrow clear

*dropping duplicates
duplicates tag Player, gen(dupe)
drop if dupe > 0 & Tm != "TOT"

*renaming to simplify variable names
rename Player player
rename Pos pos
rename Age age
rename Tm tm
rename MP mp
rename PER per
rename OWS ows
rename DWS dws
rename WS ws
rename WS48 ws48
rename VORP vorp

*destringing variables
destring age mp per ows dws ws ws48 vorp, replace

*dropping unnecessary variables
drop dupe Y T
drop Rk G TS PAr FTr ORB DRB TRB AST STL BLK TOV USG OBPM DBPM BPM

gen year = `yy'

save ..\cdata\\`yy'advancedstatsclean.dta, replace
}
