clear all

capture mkdir ..\cdata

forvalues yy=2007/2012{
	set more off
	import excel ..\idata\Free_Agent_Contract_Data_`yy'.xlsx, sheet("Sheet1") firstrow clear

*creating variables for each contract year and the two years before and after
gen c2y = `yy'-2
gen c1y = `yy'-1
gen cy = `yy'
gen cy1 = `yy'+1
gen cy2 = `yy'+2

*renaming variables
rename Player player
rename Pos pos
rename Years duration
label variable duration "duration"
rename Dollars dollars

*dropping unnecessary variables
drop Status From To Signed

*creating a variable
gen avgyrlcontract = dollars/duration

*eliminating contracts that pay players less than nba minimum
drop if avgyrlcontract <= 398761
drop if avgyrlcontract == .

*eliminating players who did not sign two year deals in order to only keep players who played two years under their contract due to assumptions of the model
*drop if duration<2
*keeping for later

*eliminating duplicates
duplicates drop
duplicates tag player, gen(dupe)

*saving new clean data file
save ..\cdata\\`yy'contractdataclean.dta, replace
}
*

*cleaning up individual duplicates
use ..\cdata\2012contractdataclean.dta
drop if player=="Daniel Orton" & duration==2
drop if player=="Chris Douglas-Roberts" & dollars==885120
drop if player=="DaJuan Summers" & duration==2
drop if player=="Dominic McGuire" & duration==2
drop if player=="Terrence Williams" & duration==2
save ..\cdata\2012contractdataclean.dta, replace

*in order to drop dupe now that all duplicates are out of my data set
clear
forvalues yy=2007/2012{
use ..\cdata\\`yy'contractdataclean.dta
drop dupe
save ..\cdata\\`yy'contractdataclean.dta, replace
}
*

